var cOldPlayIcon;
function Pag_Play_FWDTime_Show(cValor) {
	cOldPlayIcon = cPlayIcon;
	cPlayIcon = "play_fwd.png";
	Pag_Play_Show();
	document.getElementById("Pag_Play_Form").innerHTML = 
		 '<table width="350px" cellpadding="10" cellspacing="10" style="table-layout: fixed; background-image: url(fondo_mensaje.png); background-repeat: no-repeat;">'
		+'	<tr height="20px"><td width="310px"/></tr>'
		+'	<tr height="33px"><td width="310px" class="font15">Introduzca la cantidad de minutos que desea avanzar o retroceder en la reproducción</td></tr>'
		+'	<tr height="33px" align="top"><td width="310px" border="1" id="Pag_Play_FWDTime_Valor" style="background-position: 0px 5px; background-image: url(cursor_red.png); background-repeat: no-repeat;" class="font16">' + cValor + '|&nbsp;</td></tr>'
		+'	<tr height="33px"><td width="310px" class="font16"></td></tr>'
		+'</table>';
	cPaginaVisible = "Pag_Play_FWDTime";
}

function Pag_Play_FWDTime_Close() {
	Pag_Play_Show();
	lTimerPageHide = setTimeout("Pag_Play_Hide()",5000);
}

function Pag_Play_FWDTime_KeyDown(keyChar) {
	var cTemp;
	try {
		switch (keyChar) {
		case KEY_0: case KEY_1:
		case KEY_2: case KEY_3:
		case KEY_4: case KEY_5:
		case KEY_6: case KEY_7:
		case KEY_8: case KEY_9:
			cTemp = document.getElementById("Pag_Play_FWDTime_Valor").innerHTML;
			cTemp = cTemp.slice(0,-7);
			cTemp = cTemp + String.fromCharCode(keyChar) + "|&nbsp;";
			document.getElementById("Pag_Play_FWDTime_Valor").innerHTML = cTemp;
			return 0;
		case KEY_RED:
			cTemp = document.getElementById("Pag_Play_FWDTime_Valor").innerHTML;
			cTemp = cTemp.slice(0,-8);
			document.getElementById("Pag_Play_FWDTime_Valor").innerHTML = cTemp + "|&nbsp;";
			return 0;
		case KEY_FWD:
		case KEY_OK:
			cTemp = document.getElementById("Pag_Play_FWDTime_Valor").innerHTML;
			cTemp = cTemp.slice(0,-7);
			SendMsg("FWD " + cTemp, null);
			cPlayIcon = "play_playing.png";
			Pag_Play_FWDTime_Close();
			return 0;
		case KEY_RWD:
			cTemp = document.getElementById("Pag_Play_FWDTime_Valor").innerHTML;
			cTemp = cTemp.slice(0,-7);
			SendMsg("RWD " + cTemp, null);
			cPlayIcon = "play_playing.png";
			Pag_Play_FWDTime_Close();
			return 0;
		case KEY_BACK:
			cPlayIcon = cOldPlayIcon;
			Pag_Play_FWDTime_Close();
			return 0;
		}
	} catch(ex) {
		alert("Pag_Play_FWDTime_KeyDown: " + ex);
	}
	return 1;
}
